Debian-Sicherheitsankündigung

DSA-622-1 htmlheadline -- Unsichere temporäre Dateien

Datum des Berichts:
03. Jan 2005
Betroffene Pakete:
htmlheadline
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2004-1181.
Weitere Informationen:

Javier Fernández-Sanguino Peña vom Debian-Sicherheits-Audit-Projekt entdeckte mehrere unsichere Verwendungen von temporären Dateien, die dazu führen können, dass beliebige Dateien mittels Symlink-Angriff überschrieben werden können.

Für die Stable-Distribution (Woody) wurden diese Probleme in Version 21.8-3 behoben.

In der Unstable-Distribution (Sid) ist dieses Paket nicht enthalten.

Wir empfehlen Ihnen, Ihr htmlheadline-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/h/htmlheadline/htmlheadline_21.8-3.dsc
http://security.debian.org/pool/updates/main/h/htmlheadline/htmlheadline_21.8-3.diff.gz
http://security.debian.org/pool/updates/main/h/htmlheadline/htmlheadline_21.8.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/h/htmlheadline/htmlheadline_21.8-3_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.